- Main Page
- Namespaces
- Classes
- Files

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# Ipopt::RestoIterateInitializer Class Reference

Class implementing the default initialization procedure (based on user options) for the iterates. More...

`#include <IpRestoIterateInitializer.hpp>`

Inheritance diagram for Ipopt::RestoIterateInitializer:

[legend]
Collaboration diagram for Ipopt::RestoIterateInitializer:

[legend]
List of all members.

## Public Member Functions
virtual bool | InitializeImpl (const OptionsList &options, const std::string &prefix)
| overloaded from AlgorithmStrategyObject
virtual bool | SetInitialIterates ()
| Compute the initial iterates and set the into the curr field of the ip_data object.
Constructors/Destructors
| RestoIterateInitializer (const SmartPtr< EqMultiplierCalculator > &eq_mult_calculator)
| Constructor.
virtual | ~RestoIterateInitializer ()
| Default destructor.
## Static Public Member Functions
static void | RegisterOptions (SmartPtr< RegisteredOptions > roptions)
| Methods for IpoptType.
## Private Member Functions
Default Compiler Generated Methods
(Hidden to avoid implicit creation/calling). These methods are not implemented and we do not want the compiler to implement them for us, so we declare them private and do not define them. This ensures that they will not be implicitly created/called.
| RestoIterateInitializer ()
| Default Constructor.
| RestoIterateInitializer (const RestoIterateInitializer &)
| Copy Constructor.
void | operator= (const RestoIterateInitializer &)
| Overloaded Equals Operator.
Auxilliary functions
void | solve_quadratic (const Vector &a, const Vector &b, Vector &v)
| Method for solving the quadratic vector equation v^2 + 2a*v - b = 0.
## Private Attributes
SmartPtr< EqMultiplierCalculator > | resto_eq_mult_calculator_
| object to be used for the initialization of the equality constraint multipliers.
Parameters for bumping x0
Number | constr_mult_init_max_
| If max-norm of the initial equality constraint multiplier estimate is larger than this, the initial y_* variables are set to zero.

## Detailed Description

Class implementing the default initialization procedure (based on user options) for the iterates.

It is used at the very beginning of the optimization for determine the starting point for all variables.

Definition at line 22 of file IpRestoIterateInitializer.hpp.

## Constructor & Destructor Documentation

Ipopt::RestoIterateInitializer::RestoIterateInitializer | ( | const SmartPtr< EqMultiplierCalculator > & | eq_mult_calculator | ) |

Constructor.

If eq_mult_calculator is not NULL, it will be used to compute the initial values for equality constraint multipliers.

virtual Ipopt::RestoIterateInitializer::~RestoIterateInitializer | ( |  | ) | `[inline, virtual]`

Default destructor.

Definition at line 34 of file IpRestoIterateInitializer.hpp.

Ipopt::RestoIterateInitializer::RestoIterateInitializer | ( |  | ) | `[private]`

Default Constructor.

Ipopt::RestoIterateInitializer::RestoIterateInitializer | ( | const RestoIterateInitializer & |  | ) | `[private]`

Copy Constructor.

## Member Function Documentation

virtual bool Ipopt::RestoIterateInitializer::InitializeImpl | ( | const OptionsList & | options,
|  | const std::string & | prefix |
| ) |  |  | `[virtual]`

overloaded from AlgorithmStrategyObject

Implements Ipopt::IterateInitializer.

virtual bool Ipopt::RestoIterateInitializer::SetInitialIterates | ( |  | ) | `[virtual]`

Compute the initial iterates and set the into the curr field of the ip_data object.

Implements Ipopt::IterateInitializer.

static void Ipopt::RestoIterateInitializer::RegisterOptions | ( | SmartPtr< RegisteredOptions > | roptions | ) | `[static]`

Methods for IpoptType.

void Ipopt::RestoIterateInitializer::operator= | ( | const RestoIterateInitializer & |  | ) | `[private]`

Overloaded Equals Operator.

void Ipopt::RestoIterateInitializer::solve_quadratic | ( | const Vector & | a,
|  | const Vector & | b,
|  | Vector & | v |
| ) |  |  | `[private]`

Method for solving the quadratic vector equation v^2 + 2a*v - b = 0.

## Member Data Documentation

Number Ipopt::RestoIterateInitializer::constr_mult_init_max_`[private]`

If max-norm of the initial equality constraint multiplier estimate is larger than this, the initial y_* variables are set to zero.

Definition at line 75 of file IpRestoIterateInitializer.hpp.

SmartPtr<EqMultiplierCalculator> Ipopt::RestoIterateInitializer::resto_eq_mult_calculator_`[private]`

object to be used for the initialization of the equality constraint multipliers.

Definition at line 80 of file IpRestoIterateInitializer.hpp.

The documentation for this class was generated from the following file:

- /home/coin/SVN-release/Ipopt-3.7.1/Ipopt/src/Algorithm/IpRestoIterateInitializer.hpp